<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__ezi2c__macros__get__activity" kind="group">
    <compoundname>group_scb_ezi2c_macros_get_activity</compoundname>
    <title>EZI2C Activity Status</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga4aca0331d49ac511d15bc797b1f22960" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_READ1</name>
        <initializer>(0x01UL)</initializer>
        <briefdescription>
<para>The Read transfer intended for the primary slave address is complete. </para>        </briefdescription>
        <detaileddescription>
<para>The error condition status bit must be checked to ensure that the Read transfer was completed successfully. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="436" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="436" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga3f22409e7776d9d7dea6d88f6424020a" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_WRITE1</name>
        <initializer>(0x02UL)</initializer>
        <briefdescription>
<para>The Write transfer intended for the primary slave address is complete. </para>        </briefdescription>
        <detaileddescription>
<para>The buffer content was modified. The error condition status bit must be checked to ensure that the Write transfer was completed successfully. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="444" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="444" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga625c2cc11c16d3ac8baaf2440d6be804" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_READ2</name>
        <initializer>(0x04UL)</initializer>
        <briefdescription>
<para>The Read transfer intended for the secondary slave address is complete. </para>        </briefdescription>
        <detaileddescription>
<para>The error condition status bit must be checked to ensure that the Read transfer was completed successfully. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="451" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="451" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga6a16c711c82365de7cff305a3675f355" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_WRITE2</name>
        <initializer>(0x08UL)</initializer>
        <briefdescription>
<para>The Write transfer intended for the secondary slave address is complete. </para>        </briefdescription>
        <detaileddescription>
<para>The buffer content was modified. The error condition status bit must be checked to ensure that the Write transfer was completed successfully. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="459" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="459" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga748ebd94817f62e09cf408412c54915b" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_BUSY</name>
        <initializer>(0x10UL)</initializer>
        <briefdescription>
<para>A transfer intended for the primary address or secondary address is in progress. </para>        </briefdescription>
        <detaileddescription>
<para>The status bit is set after an address match and cleared on a Stop or ReStart condition. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="466" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="466" />
      </memberdef>
      <memberdef id="group__group__scb__ezi2c__macros__get__activity_1ga5b63d8bea0972f185377db79852e44b1" kind="define" prot="public" static="no">
        <name>CY_SCB_EZI2C_STATUS_ERR</name>
        <initializer>(0x20UL)</initializer>
        <briefdescription>
<para>An error occurred during a transfer intended for the primary or secondary slave address. </para>        </briefdescription>
        <detaileddescription>
<para>The sources of the error are: a misplaced Start or Stop condition or lost arbitration while the slave drives SDA. When CY_SCB_EZI2C_STATUS_ERR is set, the slave buffer may contain an invalid byte. Discard the buffer content in this case. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" bodystart="475" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_ezi2c.h" line="475" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check current EZI2C activity slave status returned by <ref kindref="member" refid="group__group__scb__ezi2c__slave__functions_1ga8cd24e8c6c0bb996f6266443e1353f39">Cy_SCB_EZI2C_GetActivity</ref> function. </para>    </briefdescription>
    <detaileddescription>
<para>Each EZI2C slave status is encoded in a separate bit, therefore multiple bits may be set to indicate the current status. </para>    </detaileddescription>
  </compounddef>
</doxygen>